import QtQuick 2.1
import qb.components 1.0

Screen {
	id: doorcamConfigScreen

	screenTitle: "Config";
	function saveDoorcamImageURL1(text) {
		if (text) {
			app.doorcamImageURL1 = text;
			var str1 = "{\"camURL\" : \"";
			var str2 = app.doorcamImageURL1;
			var str3 = "\", \"domURL\":\"";
			var str4 = app.domoticzURL1;
			var str5 = "\", \"idx\":\"";
			var str6 = app.domoticzIDX;
			var str7 = "\", \"var\":\"";
			var str8 = app.domoticzVAR;
			var str9 = "\"}";
			var res = str1.concat(str2, str3, str4, str5, str6, str7, str8, str9);
	   		var doc2 = new XMLHttpRequest();
   			doc2.open("PUT", "file:///HCBv2/qml/apps/doorcam/variables1.txt");
   			doc2.send(res);
		}
	}

	function saveDomoticzURL1(text) {
		if (text) {
			app.domoticzURL1 = text;
			var str1 = "{\"camURL\" : \"";
			var str2 = app.doorcamImageURL1;
			var str3 = "\", \"domURL\":\"";
			var str4 = app.domoticzURL1;
			var str5 = "\", \"idx\":\"";
			var str6 = app.domoticzIDX;
			var str7 = "\", \"var\":\"";
			var str8 = app.domoticzVAR;
			var str9 = "\"}";
			var res = str1.concat(str2, str3, str4, str5, str6, str7, str8, str9);
	   		var doc2 = new XMLHttpRequest();
   			doc2.open("PUT", "file:///HCBv2/qml/apps/doorcam/variables1.txt");
   			doc2.send(res);
		}
	}


	function saveDomoticzIDX(text) {
		if (text) {
			app.domoticzIDX = text;
			var str1 = "{\"camURL\" : \"";
			var str2 = app.doorcamImageURL1;
			var str3 = "\", \"domURL\":\"";
			var str4 = app.domoticzURL1;
			var str5 = "\", \"idx\":\"";
			var str6 = app.domoticzIDX;
			var str7 = "\", \"var\":\"";
			var str8 = app.domoticzVAR;
			var str9 = "\"}";
			var res = str1.concat(str2, str3, str4, str5, str6, str7, str8, str9);
	   		var doc2 = new XMLHttpRequest();
   			doc2.open("PUT", "file:///HCBv2/qml/apps/doorcam/variables1.txt");
   			doc2.send(res);
		}
	}

	function saveDomoticzVAR(text) {
		if (text) {
			app.domoticzVAR = text;
			var str1 = "{\"camURL\" : \"";
			var str2 = app.doorcamImageURL1;
			var str3 = "\", \"domURL\":\"";
			var str4 = app.domoticzURL1;
			var str5 = "\", \"idx\":\"";
			var str6 = app.domoticzIDX;
			var str7 = "\", \"var\":\"";
			var str8 = app.domoticzVAR;
			var str9 = "\"}";
			var res = str1.concat(str2, str3, str4, str5, str6, str7, str8, str9);
	   		var doc2 = new XMLHttpRequest();
   			doc2.open("PUT", "file:///HCBv2/qml/apps/doorcam/variables1.txt");
   			doc2.send(res);
		}
	}

	onShown: {
		doorcamImageURL1.inputText = app.doorcamImageURL1;
		domoticzURL1.inputText = app.domoticzURL1;
		domoticzIDX.inputText= app.domoticzIDX;
		domoticzVAR.inputText= app.domoticzVAR;
	}

	EditTextLabel {
		id: doorcamImageURL1
		width: parent.width - 40
		height: 35
		leftTextAvailableWidth: 300
		leftText: "URL doorcam image"

		anchors {
			left: parent.left
			top: parent.top
			leftMargin: 20
			rightMargin: 20
			topMargin: 20
			bottomMargin: 20
		}

		onClicked: {
			qkeyboard.open("URL", doorcamImageURL1.inputText, saveDoorcamImageURL1)
		}
	}

	Text {
		id: myLabel
		text: "Example of valid URL: http://192.168.10.8/live/1/jpeg.jpg"
		anchors {
			left: parent.left
			top: doorcamImageURL1.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 13
			bottomMargin: 20
		}
	}

	EditTextLabel {
		id: domoticzURL1
		width: parent.width - 40
		height: 35
		leftTextAvailableWidth: 300
		leftText: "URL to Domoticz"

		anchors {
			left: parent.left
			top: myLabel.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 20
			bottomMargin: 20
		}

		onClicked: {
			qkeyboard.open("URL", domoticzURL1.inputText, saveDomoticzURL1)
		}
	}

	Text {
		id: myLabel2
		text: "Example of valid URL:  http://192.168.10.185:8080"
		anchors {
			left: parent.left
			top: domoticzURL1.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 13
			bottomMargin: 20
		}
	}

	EditTextLabel {
		id: domoticzIDX
		width: parent.width - 40
		height: 35
		leftTextAvailableWidth: 300
		leftText: "IDX of trigger parameter"

		anchors {
			left: parent.left
			top: myLabel2.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 20
			bottomMargin: 20
		}

		onClicked: {
			qkeyboard.open("URL", domoticzIDX.inputText, saveDomoticzIDX)
		}
	}

	Text {
		id: myLabel3
		text: "Example of valid trigger:  27"
		anchors {
			left: parent.left
			top: domoticzIDX.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 13
			bottomMargin: 20
		}
	}

	EditTextLabel {
		id: domoticzVAR
		width: parent.width - 40
		height: 35
		leftTextAvailableWidth: 300
		leftText: "Name of trigger parameter"

		anchors {
			left: parent.left
			top: myLabel3.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 20
			bottomMargin: 20
		}

		onClicked: {
			qkeyboard.open("URL", domoticzVAR.inputText, saveDomoticzVAR)
		}
	}

	Text {
		id: myLabel4
		text: "Example of valid name :  ShowDoorCamToon"
		anchors {
			left: parent.left
			top: domoticzVAR.bottom
			leftMargin: 20
			rightMargin: 20
			topMargin: 13
			bottomMargin: 20
		}
	}


}
